# QCA::RandomContext Class Reference
[QCA provider API]

Random provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::RandomContext:

Collaboration diagram for QCA::RandomContext:

[legend]

List of all members.

## Public Member Functions

virtual SecureArray | nextBytes (int size)=0
| RandomContext (Provider *p)

## Detailed Description

Random provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Random instead.

## Constructor & Destructor Documentation

QCA::RandomContext::RandomContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual SecureArray QCA::RandomContext::nextBytes | ( | int | size | ) | `[pure virtual]`

Return an array of random bytes.

Parameters:

  | size | the number of random bytes to return

The documentation for this class was generated from the following file:

- qcaprovider.h